package com.sxtvs.open;

import cn.hutool.core.util.IdUtil;
import cn.hutool.crypto.SecureUtil;
import com.sxtvs.open.api.chat.dto.KimiRequest;
import com.sxtvs.open.api.chat.dto.Message;
import com.sxtvs.open.api.chat.entity.KimiChat;
import com.sxtvs.open.api.chat.service.impl.KimiChatServiceImpl;
import com.sxtvs.open.api.clue.entity.WxMessage;
import com.sxtvs.open.api.clue.service.impl.ClueServiceImpl;
import com.sxtvs.open.api.news.entity.YoumeiData;
import com.sxtvs.open.api.news.service.impl.YoumeiDataServiceImpl;
import com.sxtvs.open.api.user.service.impl.UserServiceImpl;
import jakarta.annotation.Resource;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.io.IOException;
import java.security.Security;
import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;

@SpringBootTest
class OpenApplicationTests {

    @Autowired
    private UserServiceImpl userService;

    @Test
    void createUser() {
        /*userService.createUser("test1", "a123456");
        userService.createUser("15109256779", "hjr@6779");
        userService.createUser("13379526346", "xuying@6346");
        userService.createUser("18858420920", "ljy@20920");
        userService.createUser("18502918047", "gaozc@8047");*/
//        userService.createUser("15091056330", SecureUtil.sha256("赵蕴清").substring(5,16));System.out.println(SecureUtil.sha256("赵蕴清").substring(5,16));
//        userService.createUser("18892089367", SecureUtil.sha256("史耀晖").substring(5,16));System.out.println(SecureUtil.sha256("史耀晖").substring(5,16));
//        userService.createUser("15389282630", SecureUtil.sha256("任晓彤").substring(5,16));System.out.println(SecureUtil.sha256("任晓彤").substring(5,16));
//        userService.createUser("15809272580", SecureUtil.sha256("张雯妮").substring(5,16));System.out.println(SecureUtil.sha256("张雯妮").substring(5,16));
//        userService.createUser("18292880989", SecureUtil.sha256("张怡馨").substring(5,16));System.out.println(SecureUtil.sha256("张怡馨").substring(5,16));
//        userService.createUser("18710325381", SecureUtil.sha256("张校伟").substring(5,16));System.out.println(SecureUtil.sha256("张校伟").substring(5,16));
//        userService.createUser("13689244002", SecureUtil.sha256("孙洁").substring(5,16));System.out.println(SecureUtil.sha256("孙洁").substring(5,16));
//        userService.createUser("15929559829", SecureUtil.sha256("朱春娇").substring(5,16));System.out.println(SecureUtil.sha256("朱春娇").substring(5,16));
//        userService.createUser("13992131371", SecureUtil.sha256("闫如钰").substring(5,16));System.out.println(SecureUtil.sha256("闫如钰").substring(5,16));
//        userService.createUser("13379526346", SecureUtil.sha256("许颖").substring(5,16));System.out.println(SecureUtil.sha256("许颖").substring(5,16));
//        userService.createUser("15291864479", SecureUtil.sha256("王甜").substring(5,16));System.out.println(SecureUtil.sha256("王甜").substring(5,16));
//        userService.createUser("15109256779", SecureUtil.sha256("韩佳芮").substring(5,16));System.out.println(SecureUtil.sha256("韩佳芮").substring(5,16));
//        userService.createUser("18858420920", SecureUtil.sha256("刘佳玥").substring(5,16));System.out.println(SecureUtil.sha256("刘佳玥").substring(5,16));
//        userService.createUser("18502918047", SecureUtil.sha256("高政超").substring(5,16));System.out.println(SecureUtil.sha256("高政超").substring(5,16));
//        userService.createUser("13892897594", SecureUtil.sha256("党玺").substring(5,16));System.out.println(SecureUtil.sha256("党玺").substring(5,16));
//        userService.createUser("15991492131", SecureUtil.sha256("胡倩").substring(5,16));System.out.println(SecureUtil.sha256("胡倩").substring(5,16));
//        userService.createUser("17609206846", SecureUtil.sha256("朱乐").substring(5,16));System.out.println(SecureUtil.sha256("朱乐").substring(5,16));
//        userService.createUser("15929971622", SecureUtil.sha256("贾睿琳").substring(5,16));System.out.println(SecureUtil.sha256("贾睿琳").substring(5,16));
//        userService.createUser("15600088218", SecureUtil.sha256("刘少华").substring(5,16));System.out.println(SecureUtil.sha256("刘少华").substring(5,16));
//        userService.createUser("15829249639", SecureUtil.sha256("徐新新").substring(5,16));System.out.println(SecureUtil.sha256("徐新新").substring(5,16));
//        userService.createUser("13992879470", SecureUtil.sha256("方超").substring(5,16));System.out.println(SecureUtil.sha256("方超").substring(5,16));
//        userService.createUser("18292968188", SecureUtil.sha256("包航").substring(5,16));System.out.println(SecureUtil.sha256("包航").substring(5,16));
//        userService.createUser("13609166310", SecureUtil.sha256("时张萌").substring(5,16));System.out.println(SecureUtil.sha256("时张萌").substring(5,16));
//        userService.createUser("18082264638", SecureUtil.sha256("王梓琪").substring(5,16));System.out.println(SecureUtil.sha256("王梓琪").substring(5,16));
//        userService.createUser("18502994288", SecureUtil.sha256("张婷").substring(5,16));System.out.println(SecureUtil.sha256("张婷").substring(5,16));
//        userService.createUser("18502918265", SecureUtil.sha256("杨爽").substring(5,16));System.out.println(SecureUtil.sha256("杨爽").substring(5,16));
//        userService.createUser("17791793110", SecureUtil.sha256("白琳").substring(5,16));System.out.println(SecureUtil.sha256("白琳").substring(5,16));
//        userService.createUser("15529202927", SecureUtil.sha256("王莹").substring(5,16));System.out.println(SecureUtil.sha256("王莹").substring(5,16));
//        userService.createUser("gqjdtest", SecureUtil.sha256("稿前校对").substring(5,16));System.out.println(SecureUtil.sha256("稿前校对").substring(5,16));
//        userService.createUser("18502918239", SecureUtil.sha256("刘艳军").substring(5,16));System.out.println(SecureUtil.sha256("刘艳军").substring(5,16));
//        userService.createUser("18502918137", SecureUtil.sha256("穆小苗").substring(5,16));System.out.println(SecureUtil.sha256("穆小苗").substring(5,16));
//        userService.createUser("13359258805", SecureUtil.sha256("孙鹏").substring(5,16));System.out.println(SecureUtil.sha256("孙鹏").substring(5,16));
//        userService.createUser("15339150024", SecureUtil.sha256("王辉").substring(5,16));System.out.println(SecureUtil.sha256("王辉").substring(5,16));
        System.out.println(SecureUtil.sha256("马喆").substring(5,16));
    }

    @Resource
    private ClueServiceImpl clueService;

    @Test
    void createClue() {
//        WxMessage(toUserName=gh_61ab9d57ad25, fromUserName=oBzNv6C5u4yLRq4kau8ZoAmK8RSU, msgType=image, msgId=24088855770900280, msgDataId=null,
//        idx=null, createTime=1682587064, content=null, picUrl=http://mmbiz.qpic.cn/mmbiz_jpg/sIXwsrPQdc7ibcrBaf7INcXUPY6BOTsBrRYtaIMicX2RYwrficWZk6ytRAturqqM7CkqLQ7icQt8zCAdqAmYVjxTgg/0,
//        mediaId=OReIExSzIsAL4nbulbqPTsSSYFY1SDcj5t247IaJLRk_B77TcHFAZQtoBWpmAEzC)
        WxMessage wxMessage = new WxMessage();
        wxMessage.setToUserName("gh_61ab9d57ad25");
        wxMessage.setFromUserName("oBzNv6C5u4yLRq4kau8ZoAmK8RSU");
        wxMessage.setMsgType("image");
        wxMessage.setMsgId("24088855770900280");
        wxMessage.setCreateTime(1682587064L);
        wxMessage.setPicUrl("http://mmbiz.qpic.cn/mmbiz_jpg/sIXwsrPQdc7ibcrBaf7INcXUPY6BOTsBrRYtaIMicX2RYwrficWZk6ytRAturqqM7CkqLQ7icQt8zCAdqAmYVjxTgg/0");
        wxMessage.setMediaId("OReIExSzIsAL4nbulbqPTsSSYFY1SDcj5t247IaJLRk_B77TcHFAZQtoBWpmAEzC");

        clueService.wxCreate(wxMessage);
    }

    @Resource
    private YoumeiDataServiceImpl youmeiDataService;

    @Test
    public void test3(){
        YoumeiData byId = youmeiDataService.getById(9360673);
        System.out.println(byId.getContent());
    }


    @Test
    public void test4(){
        youmeiDataService.putDataRun();
    }

    @Resource
    private KimiChatServiceImpl kimiChatService;

    @Test
    public void test5(){
        KimiChat  kimiChat = new KimiChat();
        kimiChat.setId("user-" + IdUtil.simpleUUID());
        kimiChat.setRole("user");
        kimiChat.setCreateTime(LocalDateTime.now());
        kimiChat.setGroupId(2L);

        KimiRequest kimiRequest = new KimiRequest();
        kimiRequest.setModel("moonshot-v1-8k");
        kimiRequest.setTemperature(0.3D);
        kimiRequest.setStream(true);
        kimiRequest.setMax_tokens(4096);

        List<Message> messageList = new ArrayList<>();

            Message message = new Message();
            message.setRole("user");
            message.setContent("写一个排序算法");
            messageList.add(message);


        kimiRequest.setMessages(messageList);

        kimiChatService.chatCompletions( kimiRequest, kimiChat.getGroupId());
    }

}
